Index: serefpolicy-contrib-20140730/irc.te
===================================================================
--- serefpolicy-contrib-20140730.orig/irc.te
+++ serefpolicy-contrib-20140730/irc.te
@@ -1,4 +1,4 @@
-policy_module(irc, 2.4.0)
+policy_module(irc, 2.3.1)
 
 ########################################
 #
@@ -31,13 +31,35 @@ typealias irc_home_t alias { user_irc_ho
 typealias irc_home_t alias { auditadm_irc_home_t secadm_irc_home_t };
 userdom_user_home_content(irc_home_t)
 
-type irc_log_home_t;
-userdom_user_home_content(irc_log_home_t)
-
 type irc_tmp_t;
 typealias irc_tmp_t alias { user_irc_tmp_t staff_irc_tmp_t sysadm_irc_tmp_t };
 typealias irc_tmp_t alias { auditadm_irc_tmp_t secadm_irc_tmp_t };
-userdom_user_tmp_file(irc_tmp_t)
+userdom_user_home_content(irc_tmp_t)
+
+########################################
+#
+# Irssi personal declarations.
+#
+
+## <desc>
+## <p>
+## Allow the Irssi IRC Client to connect to any port,
+## and to bind to any unreserved port.
+## </p>
+## </desc>
+gen_tunable(irssi_use_full_network, false)
+
+type irssi_t;
+type irssi_exec_t;
+application_domain(irssi_t, irssi_exec_t)
+ubac_constrained(irssi_t)
+role irc_roles types irssi_t;
+
+type irssi_etc_t;
+files_config_file(irssi_etc_t)
+
+type irssi_home_t alias irc_log_home_t;
+userdom_user_home_content(irssi_home_t)
 
 ########################################
 #
@@ -53,13 +75,7 @@ allow irc_t irc_conf_t:file read_file_pe
 manage_dirs_pattern(irc_t, irc_home_t, irc_home_t)
 manage_files_pattern(irc_t, irc_home_t, irc_home_t)
 manage_lnk_files_pattern(irc_t, irc_home_t, irc_home_t)
-userdom_user_home_dir_filetrans(irc_t, irc_home_t, dir, ".irssi")
-userdom_user_home_dir_filetrans(irc_t, irc_home_t, file, ".ircmotd")
-
-manage_dirs_pattern(irc_t, irc_log_home_t, irc_log_home_t)
-create_files_pattern(irc_t, irc_log_home_t, irc_log_home_t)
-append_files_pattern(irc_t, irc_log_home_t, irc_log_home_t)
-userdom_user_home_dir_filetrans(irc_t, irc_log_home_t, dir, "irclogs")
+irc_filetrans_home_content(irc_t)
 
 manage_dirs_pattern(irc_t, irc_tmp_t, irc_tmp_t)
 manage_files_pattern(irc_t, irc_tmp_t, irc_tmp_t)
@@ -70,7 +86,9 @@ files_tmp_filetrans(irc_t, irc_tmp_t, {
 
 kernel_read_system_state(irc_t)
 
-corenet_all_recvfrom_unlabeled(irc_t)
+corecmd_exec_shell(irc_t)
+corecmd_exec_bin(irc_t)
+
 corenet_all_recvfrom_netlabel(irc_t)
 corenet_tcp_sendrecv_generic_if(irc_t)
 corenet_tcp_sendrecv_generic_node(irc_t)
@@ -93,8 +111,6 @@ dev_read_rand(irc_t)
 
 domain_use_interactive_fds(irc_t)
 
-files_read_usr_files(irc_t)
-
 fs_getattr_all_fs(irc_t)
 fs_search_auto_mountpoints(irc_t)
 
@@ -106,14 +122,16 @@ auth_use_nsswitch(irc_t)
 init_read_utmp(irc_t)
 init_dontaudit_lock_utmp(irc_t)
 
-miscfiles_read_generic_certs(irc_t)
-miscfiles_read_localization(irc_t)
-
-userdom_use_user_terminals(irc_t)
+userdom_use_inherited_user_terminals(irc_t)
 
 userdom_manage_user_home_content_dirs(irc_t)
 userdom_manage_user_home_content_files(irc_t)
-userdom_user_home_dir_filetrans_user_home_content(irc_t, { dir file })
+userdom_filetrans_home_content(irc_t)
+
+# Write to the user domain tty.
+userdom_use_inherited_user_terminals(irc_t)
+
+userdom_home_manager(irc_t)
 
 tunable_policy(`irc_use_any_tcp_ports',`
 	allow irc_t self:tcp_socket { accept listen };
@@ -124,18 +142,69 @@ tunable_policy(`irc_use_any_tcp_ports',`
 	corenet_tcp_sendrecv_all_ports(irc_t)
 ')
 
-tunable_policy(`use_nfs_home_dirs',`
-	fs_manage_nfs_dirs(irc_t)
-	fs_manage_nfs_files(irc_t)
-	fs_manage_nfs_symlinks(irc_t)
+optional_policy(`
+	nis_use_ypbind(irc_t)
 ')
 
-tunable_policy(`use_samba_home_dirs',`
-	fs_manage_cifs_dirs(irc_t)
-	fs_manage_cifs_files(irc_t)
-	fs_manage_cifs_symlinks(irc_t)
+########################################
+#
+# Irssi personal declarations.
+#
+
+allow irssi_t self:process { signal sigkill };
+allow irssi_t self:fifo_file rw_fifo_file_perms;
+allow irssi_t self:tcp_socket create_stream_socket_perms;
+
+read_files_pattern(irssi_t, irssi_etc_t, irssi_etc_t)
+
+manage_dirs_pattern(irssi_t, irssi_home_t, irssi_home_t)
+manage_files_pattern(irssi_t, irssi_home_t, irssi_home_t)
+manage_lnk_files_pattern(irssi_t, irssi_home_t, irssi_home_t)
+irc_filetrans_home_content(irssi_t)
+userdom_search_user_home_dirs(irssi_t)
+
+kernel_read_system_state(irssi_t)
+
+corecmd_exec_shell(irssi_t)
+corecmd_read_bin_symlinks(irssi_t)
+
+corenet_tcp_connect_ircd_port(irssi_t)
+corenet_tcp_sendrecv_ircd_port(irssi_t)
+corenet_sendrecv_ircd_client_packets(irssi_t)
+
+# tcp:7000 is often used for SSL irc
+corenet_tcp_connect_gatekeeper_port(irssi_t)
+corenet_tcp_sendrecv_gatekeeper_port(irssi_t)
+corenet_sendrecv_gatekeeper_client_packets(irssi_t)
+
+# Privoxy
+corenet_tcp_connect_http_cache_port(irssi_t)
+corenet_tcp_sendrecv_http_cache_port(irssi_t)
+corenet_sendrecv_http_cache_client_packets(irssi_t)
+
+corenet_tcp_bind_generic_node(irssi_t)
+
+dev_read_urand(irssi_t)
+# irssi-otr genkey.
+dev_read_rand(irssi_t)
+
+
+fs_search_auto_mountpoints(irssi_t)
+
+auth_use_nsswitch(irssi_t)
+
+
+userdom_use_inherited_user_terminals(irssi_t)
+
+tunable_policy(`irssi_use_full_network', `
+	corenet_tcp_bind_all_unreserved_ports(irssi_t)
+	corenet_tcp_connect_all_ports(irssi_t)
+	corenet_sendrecv_generic_server_packets(irssi_t)
+	corenet_sendrecv_all_client_packets(irssi_t)
 ')
 
+userdom_home_manager(irssi_t)
+
 optional_policy(`
 	seutil_use_newrole_fds(irc_t)
 ')
Index: serefpolicy-contrib-20140730/irqbalance.te
===================================================================
--- serefpolicy-contrib-20140730.orig/irqbalance.te
+++ serefpolicy-contrib-20140730/irqbalance.te
@@ -1,4 +1,4 @@
-policy_module(irqbalance, 1.7.0)
+policy_module(irqbalance, 1.6.0)
 
 ########################################
 #
@@ -35,7 +35,6 @@ kernel_rw_irq_sysctls(irqbalance_t)
 
 dev_read_sysfs(irqbalance_t)
 
-files_read_etc_files(irqbalance_t)
 files_read_etc_runtime_files(irqbalance_t)
 
 fs_getattr_all_fs(irqbalance_t)
@@ -45,8 +44,6 @@ domain_use_interactive_fds(irqbalance_t)
 
 logging_send_syslog_msg(irqbalance_t)
 
-miscfiles_read_localization(irqbalance_t)
-
 userdom_dontaudit_use_unpriv_user_fds(irqbalance_t)
 userdom_dontaudit_search_user_home_dirs(irqbalance_t)
 
Index: serefpolicy-contrib-20140730/iscsi.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/iscsi.fc
+++ serefpolicy-contrib-20140730/iscsi.fc
@@ -1,19 +1,18 @@
-/etc/rc\.d/init\.d/((iscsi)|(iscsid))	--	gen_context(system_u:object_r:iscsi_initrc_exec_t,s0)
-
 /sbin/iscsid	--	gen_context(system_u:object_r:iscsid_exec_t,s0)
-/sbin/brcm_iscsiuio	--	gen_context(system_u:object_r:iscsid_exec_t,s0)
 /sbin/iscsiuio	--	gen_context(system_u:object_r:iscsid_exec_t,s0)
 
 /usr/sbin/iscsid	--	gen_context(system_u:object_r:iscsid_exec_t,s0)
-/usr/sbin/brcm_iscsiuio	--	gen_context(system_u:object_r:iscsid_exec_t,s0)
 /usr/sbin/iscsiuio	--	gen_context(system_u:object_r:iscsid_exec_t,s0)
+/usr/sbin/iscsiadm  --  gen_context(system_u:object_r:iscsid_exec_t,s0)
 
 /var/lib/iscsi(/.*)?	gen_context(system_u:object_r:iscsi_var_lib_t,s0)
 
 /var/lock/iscsi(/.*)?	gen_context(system_u:object_r:iscsi_lock_t,s0)
 
-/var/log/brcm-iscsi\.log.*	--	gen_context(system_u:object_r:iscsi_log_t,s0)
 /var/log/iscsiuio\.log.*	--	gen_context(system_u:object_r:iscsi_log_t,s0)
 
 /var/run/iscsid\.pid	--	gen_context(system_u:object_r:iscsi_var_run_t,s0)
 /var/run/iscsiuio\.pid	--	gen_context(system_u:object_r:iscsi_var_run_t,s0)
+
+/usr/lib/systemd/system/((iscsi)|(iscsid)|(iscsiuio))\.service	--	gen_context(system_u:object_r:iscsi_unit_file_t,s0)
+/usr/lib/systemd/system/((iscsid)|(iscsiuio))\.socket	--	gen_context(system_u:object_r:iscsi_unit_file_t,s0)
Index: serefpolicy-contrib-20140730/iscsi.if
===================================================================
--- serefpolicy-contrib-20140730.orig/iscsi.if
+++ serefpolicy-contrib-20140730/iscsi.if
@@ -22,6 +22,27 @@ interface(`iscsid_domtrans',`
 ########################################
 ## <summary>
 ##	Create, read, write, and delete
+##	iscsid lock files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`iscsi_manage_lock',`
+	gen_require(`
+		type iscsi_lock_t;
+	')
+
+    files_search_locks($1)
+    manage_files_pattern($1, iscsi_lock_t, iscsi_lock_t)
+    manage_dirs_pattern($1, iscsi_lock_t, iscsi_lock_t)
+')
+
+########################################
+## <summary>
+##	Create, read, write, and delete
 ##	iscsid sempaphores.
 ## </summary>
 ## <param name="domain">
@@ -80,17 +101,53 @@ interface(`iscsi_read_lib_files',`
 
 ########################################
 ## <summary>
-##	All of the rules required to
-##	administrate an iscsi environment.
+##	Transition to iscsi named content
 ## </summary>
 ## <param name="domain">
 ##	<summary>
-##	Domain allowed access.
+##      Domain allowed access.
 ##	</summary>
 ## </param>
-## <param name="role">
+#
+interface(`iscsi_filetrans_named_content',`
+    gen_require(`
+        type iscsi_lock_t;
+    ')
+
+    files_lock_filetrans($1, iscsi_lock_t, dir, "iscsi")
+')
+
+########################################
+## <summary>
+##     Execute iscsi server in the iscsi domain.
+## </summary>
+## <param name="domain">
+##     <summary>
+##     Domain allowed to transition.
+##     </summary>
+## </param>
+#
+interface(`iscsi_systemctl',`
+       gen_require(`
+               type iscsid_t;
+               type iscsi_unit_file_t;
+       ')
+
+       systemd_exec_systemctl($1)
+       allow $1 iscsi_unit_file_t:file read_file_perms;
+       allow $1 iscsi_unit_file_t:service manage_service_perms;
+
+       ps_process_pattern($1, iscsid_t)
+')
+
+########################################
+## <summary>
+##	All of the rules required to
+##	administrate an iscsi environment.
+## </summary>
+## <param name="domain">
 ##	<summary>
-##	Role allowed access.
+##	Domain allowed access.
 ##	</summary>
 ## </param>
 ## <rolecap/>
@@ -99,16 +156,15 @@ interface(`iscsi_admin',`
 	gen_require(`
 		type iscsid_t, iscsi_lock_t, iscsi_log_t;
 		type iscsi_var_lib_t, iscsi_var_run_t, iscsi_tmp_t;
-		type iscsi_initrc_exec_t;
+		type iscsi_unit_file_t;
 	')
 
 	allow $1 iscsid_t:process { ptrace signal_perms };
 	ps_process_pattern($1, iscsid_t)
 
-	init_labeled_script_domtrans($1, iscsi_initrc_exec_t)
-	domain_system_change_exemption($1)
-	role_transition $2 iscsi_initrc_exec_t system_r;
-	allow $2 system_r;
+	systemd_exec_systemctl($1)
+	allow $1 iscsi_unit_file_t:file manage_file_perms;
+	allow $1 iscsi_unit_file_t:service manage_service_perms;
 
 	logging_search_logs($1)
 	admin_pattern($1, iscsi_log_t)
Index: serefpolicy-contrib-20140730/iscsi.te
===================================================================
--- serefpolicy-contrib-20140730.orig/iscsi.te
+++ serefpolicy-contrib-20140730/iscsi.te
@@ -9,8 +9,8 @@ type iscsid_t;
 type iscsid_exec_t;
 init_daemon_domain(iscsid_t, iscsid_exec_t)
 
-type iscsi_initrc_exec_t;
-init_script_file(iscsi_initrc_exec_t)
+type iscsi_unit_file_t;
+systemd_unit_file(iscsi_unit_file_t)
 
 type iscsi_lock_t;
 files_lock_file(iscsi_lock_t)
@@ -32,8 +32,7 @@ files_pid_file(iscsi_var_run_t)
 # Local policy
 #
 
-allow iscsid_t self:capability { dac_override ipc_lock net_admin net_raw sys_admin sys_nice sys_resource };
-dontaudit iscsid_t self:capability sys_ptrace;
+allow iscsid_t self:capability { dac_override ipc_lock net_admin net_raw sys_admin sys_nice sys_module sys_resource };
 allow iscsid_t self:process { setrlimit setsched signal };
 allow iscsid_t self:fifo_file rw_fifo_file_perms;
 allow iscsid_t self:unix_stream_socket { accept connectto listen };
@@ -55,20 +54,22 @@ manage_dirs_pattern(iscsid_t, iscsi_tmp_
 manage_files_pattern(iscsid_t, iscsi_tmp_t, iscsi_tmp_t)
 fs_tmpfs_filetrans(iscsid_t, iscsi_tmp_t, { dir file })
 
-allow iscsid_t iscsi_var_lib_t:dir list_dir_perms;
-read_files_pattern(iscsid_t, iscsi_var_lib_t, iscsi_var_lib_t)
-read_lnk_files_pattern(iscsid_t, iscsi_var_lib_t, iscsi_var_lib_t)
+manage_files_pattern(iscsid_t, iscsi_var_lib_t, iscsi_var_lib_t)
+manage_lnk_files_pattern(iscsid_t, iscsi_var_lib_t, iscsi_var_lib_t)
+manage_dirs_pattern(iscsid_t, iscsi_var_lib_t, iscsi_var_lib_t)
+files_var_lib_filetrans(iscsid_t, iscsi_var_lib_t, dir)
 
 manage_files_pattern(iscsid_t, iscsi_var_run_t, iscsi_var_run_t)
 files_pid_filetrans(iscsid_t, iscsi_var_run_t, file)
 
 can_exec(iscsid_t, iscsid_exec_t)
 
+kernel_request_load_module(iscsid_t)
 kernel_read_network_state(iscsid_t)
 kernel_read_system_state(iscsid_t)
-kernel_setsched(iscsid_t)
+kernel_dontaudit_setsched(iscsid_t)
+kernel_request_load_module(iscsid_t)
 
-corenet_all_recvfrom_unlabeled(iscsid_t)
 corenet_all_recvfrom_netlabel(iscsid_t)
 corenet_tcp_sendrecv_generic_if(iscsid_t)
 corenet_tcp_sendrecv_generic_node(iscsid_t)
@@ -85,21 +86,33 @@ corenet_sendrecv_isns_client_packets(isc
 corenet_tcp_connect_isns_port(iscsid_t)
 corenet_tcp_sendrecv_isns_port(iscsid_t)
 
-dev_read_raw_memory(iscsid_t)
+corenet_sendrecv_winshadow_client_packets(iscsid_t)
+corenet_tcp_connect_winshadow_port(iscsid_t)
+corenet_tcp_sendrecv_winshadow_port(iscsid_t)
+
+corecmd_exec_bin(iscsid_t)
+corecmd_exec_shell(iscsid_t)
+
+dev_read_urand(iscsid_t)
 dev_rw_sysfs(iscsid_t)
 dev_rw_userio_dev(iscsid_t)
-dev_write_raw_memory(iscsid_t)
 
 domain_use_interactive_fds(iscsid_t)
 domain_dontaudit_read_all_domains_state(iscsid_t)
 
+files_read_kernel_modules(iscsid_t)
+
 auth_use_nsswitch(iscsid_t)
 
 init_stream_connect_script(iscsid_t)
 
 logging_send_syslog_msg(iscsid_t)
 
-miscfiles_read_localization(iscsid_t)
+modutils_read_module_config(iscsid_t)
+
+optional_policy(`
+    iscsi_systemctl(iscsid_t)
+')
 
 optional_policy(`
 	tgtd_manage_semaphores(iscsid_t)
Index: serefpolicy-contrib-20140730/isns.te
===================================================================
--- serefpolicy-contrib-20140730.orig/isns.te
+++ serefpolicy-contrib-20140730/isns.te
@@ -26,6 +26,7 @@ files_pid_file(isnsd_var_run_t)
 allow isnsd_t self:capability kill;
 allow isnsd_t self:process signal;
 allow isnsd_t self:fifo_file rw_fifo_file_perms;
+allow isnsd_t self:tcp_socket { listen };
 allow isnsd_t self:udp_socket { accept listen };
 allow isnsd_t self:unix_stream_socket { accept listen };
 
@@ -46,8 +47,6 @@ corenet_tcp_bind_generic_node(isnsd_t)
 corenet_sendrecv_isns_server_packets(isnsd_t)
 corenet_tcp_bind_isns_port(isnsd_t)
 
-files_read_etc_files(isnsd_t)
-
 logging_send_syslog_msg(isnsd_t)
 
 miscfiles_read_localization(isnsd_t)
Index: serefpolicy-contrib-20140730/jabber.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/jabber.fc
+++ serefpolicy-contrib-20140730/jabber.fc
@@ -1,25 +1,18 @@
-/etc/rc\.d/init\.d/((jabber)|(ejabberd)|(jabberd))	--	gen_context(system_u:object_r:jabberd_initrc_exec_t,s0)
+/etc/rc\.d/init\.d/jabberd --	gen_context(system_u:object_r:jabberd_initrc_exec_t,s0)
 
-/usr/bin/router	--	gen_context(system_u:object_r:jabberd_router_exec_t,s0)
-/usr/bin/c2s	--	gen_context(system_u:object_r:jabberd_router_exec_t,s0)
-/usr/bin/s2s	--	gen_context(system_u:object_r:jabberd_exec_t,s0)
-/usr/bin/sm	--	gen_context(system_u:object_r:jabberd_exec_t,s0)
-
-/usr/sbin/ejabberd	--	gen_context(system_u:object_r:jabberd_exec_t,s0)
-/usr/sbin/ejabberdctl	--	gen_context(system_u:object_r:jabberd_exec_t,s0)
-/usr/sbin/jabberd	--	gen_context(system_u:object_r:jabberd_exec_t,s0)
-
-/var/lock/ejabberdctl(/.*)	gen_context(system_u:object_r:jabberd_lock_t,s0)
-
-/var/log/ejabberd(/.*)?	gen_context(system_u:object_r:jabberd_log_t,s0)
-/var/log/jabber(/.*)?	gen_context(system_u:object_r:jabberd_log_t,s0)
-
-/var/lib/ejabberd(/.*)?	gen_context(system_u:object_r:jabberd_var_lib_t,s0)
-/var/lib/ejabberd/spool(/.*)?	gen_context(system_u:object_r:jabberd_spool_t,s0)
-/var/lib/jabber(/.*)?	gen_context(system_u:object_r:jabberd_var_lib_t,s0)
-/var/lib/jabberd(/.*)?	gen_context(system_u:object_r:jabberd_var_lib_t,s0)
-/var/lib/jabberd/log(/.*)?	gen_context(system_u:object_r:jabberd_log_t,s0)
-/var/lib/jabberd/pid(/.*)?	gen_context(system_u:object_r:jabberd_var_run_t,s0)
+/usr/bin/router         --      gen_context(system_u:object_r:jabberd_router_exec_t,s0)
+/usr/bin/c2s            --      gen_context(system_u:object_r:jabberd_router_exec_t,s0)
+/usr/bin/s2s            --      gen_context(system_u:object_r:jabberd_exec_t,s0)
+/usr/bin/sm             --      gen_context(system_u:object_r:jabberd_exec_t,s0)
 
-/var/run/ejabber\.pid	--	gen_context(system_u:object_r:jabberd_var_run_t,s0)
-/var/run/jabber\.pid	--	gen_context(system_u:object_r:jabberd_var_run_t,s0)
+/var/lib/jabberd(/.*)?           gen_context(system_u:object_r:jabberd_var_lib_t,s0)
+
+# pyicq-t
+
+/usr/share/pyicq-t/PyICQt\.py	--	gen_context(system_u:object_r:pyicqt_exec_t,s0)
+
+/var/log/pyicq-t\.log.*				gen_context(system_u:object_r:pyicqt_log_t,s0)
+
+/var/run/pyicq-t(/.*)?				gen_context(system_u:object_r:pyicqt_var_run_t,s0)
+
+/var/spool/pyicq-t(/.*)?			gen_context(system_u:object_r:pyicqt_var_spool_t,s0)
Index: serefpolicy-contrib-20140730/jabber.if
===================================================================
--- serefpolicy-contrib-20140730.orig/jabber.if
+++ serefpolicy-contrib-20140730/jabber.if
@@ -1,29 +1,76 @@
-## <summary>Jabber instant messaging servers.</summary>
+## <summary>Jabber instant messaging server</summary>
+
+#####################################
+## <summary>
+##  Creates types and rules for a basic
+##  jabber init daemon domain.
+## </summary>
+## <param name="prefix">
+##  <summary>
+##  Prefix for the domain.
+##  </summary>
+## </param>
+#
+template(`jabber_domain_template',`
+    gen_require(`
+        attribute jabberd_domain;
+    ')
+
+    ##############################
+    #   
+    #  $1_t declarations
+    # 
+
+    type $1_t, jabberd_domain;
+    type $1_exec_t;
+    init_daemon_domain($1_t, $1_exec_t)
+
+	kernel_read_system_state($1_t)
+
+    corenet_all_recvfrom_netlabel($1_t)
+
+    logging_send_syslog_msg($1_t)
+')
 
 #######################################
 ## <summary>
-##	The template to define a jabber domain.
+##	Execute a domain transition to run jabberd services
 ## </summary>
-## <param name="domain_prefix">
+## <param name="domain">
 ##	<summary>
-##	Domain prefix to be used.
+##	Domain allowed to transition.
 ##	</summary>
 ## </param>
 #
-template(`jabber_domain_template',`
+interface(`jabber_domtrans_jabberd',`
 	gen_require(`
-		attribute jabberd_domain;
+		type jabberd_t, jabberd_exec_t;
 	')
 
-	type $1_t, jabberd_domain;
-	type $1_exec_t;
-	init_daemon_domain($1_t, $1_exec_t)
+	domtrans_pattern($1, jabberd_exec_t, jabberd_t)
 ')
 
-########################################
+######################################
 ## <summary>
-##	Create, read, write, and delete
-##	jabber lib files.
+##	Execute a domain transition to run jabberd router service
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed to transition.
+##	</summary>
+## </param>
+#
+interface(`jabber_domtrans_jabberd_router',`
+	gen_require(`
+		type jabberd_router_t, jabberd_router_exec_t;
+	')
+
+	domtrans_pattern($1, jabberd_router_exec_t, jabberd_router_t)
+')
+
+#######################################
+## <summary>
+##	Read jabberd lib files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -31,18 +78,37 @@ template(`jabber_domain_template',`
 ##	</summary>
 ## </param>
 #
-interface(`jabber_manage_lib_files',`
+interface(`jabberd_read_lib_files',`
 	gen_require(`
 		type jabberd_var_lib_t;
 	')
 
 	files_search_var_lib($1)
-	manage_files_pattern($1, jabberd_var_lib_t, jabberd_var_lib_t)
+	read_files_pattern($1, jabberd_var_lib_t, jabberd_var_lib_t)
 ')
 
-########################################
+#######################################
+## <summary>
+##	Dontaudit inherited read jabberd lib files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain to not audit.
+##	</summary>
+## </param>
+#
+interface(`jabberd_dontaudit_read_lib_files',`
+	gen_require(`
+		type jabberd_var_lib_t;
+	')
+
+	dontaudit $1 jabberd_var_lib_t:file read_inherited_file_perms;
+')
+
+#######################################
 ## <summary>
-##	Connect to jabber over a TCP socket  (Deprecated)
+##	Create, read, write, and delete
+##	jabberd lib files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -50,14 +116,19 @@ interface(`jabber_manage_lib_files',`
 ##	</summary>
 ## </param>
 #
-interface(`jabber_tcp_connect',`
-	refpolicywarn(`$0($*) has been deprecated.')
+interface(`jabberd_manage_lib_files',`
+	gen_require(`
+		type jabberd_var_lib_t;
+	')
+
+	files_search_var_lib($1)
+	manage_files_pattern($1, jabberd_var_lib_t, jabberd_var_lib_t)
 ')
 
 ########################################
 ## <summary>
-##	All of the rules required to
-##	administrate an jabber environment.
+##	All of the rules required to administrate 
+##	an jabber environment
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -66,20 +137,26 @@ interface(`jabber_tcp_connect',`
 ## </param>
 ## <param name="role">
 ##	<summary>
-##	Role allowed access.
+##	The role to be allowed to manage the jabber domain.
 ##	</summary>
 ## </param>
 ## <rolecap/>
 #
 interface(`jabber_admin',`
 	gen_require(`
-		attribute jabberd_domain;
-		type jabberd_lock_t, jabberd_log_t, jabberd_spool_t;
-		type jabberd_var_lib_t, jabberd_var_run_t, jabberd_initrc_exec_t;
+		type jabberd_t, jabberd_var_lib_t;
+		type jabberd_initrc_exec_t, jabberd_router_t;
 	')
 
-	allow $1 jabberd_domain:process { ptrace signal_perms };
-	ps_process_pattern($1, jabberd_domain)
+	allow $1 jabberd_t:process signal_perms;
+	ps_process_pattern($1, jabberd_t)
+	tunable_policy(`deny_ptrace',`',`
+		allow $1 jabberd_t:process ptrace;
+		allow $1 jabberd_router_t:process ptrace;
+	')
+
+	allow $1 jabberd_router_t:process signal_perms;
+	ps_process_pattern($1, jabberd_router_t)
 
 	init_labeled_script_domtrans($1, jabberd_initrc_exec_t)
 	domain_system_change_exemption($1)
@@ -97,7 +174,4 @@ interface(`jabber_admin',`
 
 	files_search_var_lib($1)
 	admin_pattern($1, jabberd_var_lib_t)
-
-	files_search_pids($1)
-	admin_pattern($1, jabberd_var_run_t)
 ')
Index: serefpolicy-contrib-20140730/jabber.te
===================================================================
--- serefpolicy-contrib-20140730.orig/jabber.te
+++ serefpolicy-contrib-20140730/jabber.te
@@ -9,129 +9,133 @@ attribute jabberd_domain;
 
 jabber_domain_template(jabberd)
 jabber_domain_template(jabberd_router)
+jabber_domain_template(pyicqt)
 
 type jabberd_initrc_exec_t;
 init_script_file(jabberd_initrc_exec_t)
 
-type jabberd_lock_t;
-files_lock_file(jabberd_lock_t)
-
-type jabberd_log_t;
-logging_log_file(jabberd_log_t)
-
-type jabberd_spool_t;
-files_type(jabberd_spool_t)
-
+# type which includes log/pid files pro jabberd components
 type jabberd_var_lib_t;
 files_type(jabberd_var_lib_t)
 
-type jabberd_var_run_t;
-files_pid_file(jabberd_var_run_t)
+# pyicq-t types
+type pyicqt_log_t;
+logging_log_file(pyicqt_log_t);
 
-########################################
-#
-# Common local policy
-#
+type pyicqt_var_spool_t;
+files_spool_file(pyicqt_var_spool_t)
 
-allow jabberd_domain self:process signal_perms;
-allow jabberd_domain self:fifo_file rw_fifo_file_perms;
-allow jabberd_domain self:tcp_socket { accept listen };
+type pyicqt_var_run_t;
+files_pid_file(pyicqt_var_run_t)
 
-manage_files_pattern(jabberd_domain, jabberd_var_lib_t, jabberd_var_lib_t)
+######################################
+#
+# Local policy for jabberd-router and c2s components
+#
 
-kernel_read_system_state(jabberd_domain)
+allow jabberd_router_t self:netlink_route_socket r_netlink_socket_perms;
 
-corenet_all_recvfrom_unlabeled(jabberd_domain)
-corenet_all_recvfrom_netlabel(jabberd_domain)
-corenet_tcp_sendrecv_generic_if(jabberd_domain)
-corenet_tcp_sendrecv_generic_node(jabberd_domain)
-corenet_tcp_bind_generic_node(jabberd_domain)
+manage_files_pattern(jabberd_router_t, jabberd_var_lib_t, jabberd_var_lib_t)
+manage_dirs_pattern(jabberd_router_t, jabberd_var_lib_t, jabberd_var_lib_t)
 
-dev_read_urand(jabberd_domain)
-dev_read_sysfs(jabberd_domain)
+kernel_read_network_state(jabberd_router_t)
 
-fs_getattr_all_fs(jabberd_domain)
+corenet_tcp_bind_jabber_client_port(jabberd_router_t)
+corenet_tcp_bind_jabber_router_port(jabberd_router_t)
+corenet_tcp_connect_jabber_router_port(jabberd_router_t)
+corenet_sendrecv_jabber_router_server_packets(jabberd_router_t)
+corenet_sendrecv_jabber_client_server_packets(jabberd_router_t)
 
-logging_send_syslog_msg(jabberd_domain)
+fs_getattr_all_fs(jabberd_router_t)
 
-miscfiles_read_localization(jabberd_domain)
+miscfiles_read_generic_certs(jabberd_router_t)
 
 optional_policy(`
-	nis_use_ypbind(jabberd_domain)
+	kerberos_use(jabberd_router_t)
 ')
 
 optional_policy(`
-	seutil_sigchld_newrole(jabberd_domain)
+	nis_use_ypbind(jabberd_router_t)
 ')
 
-########################################
+#####################################
 #
-# Local policy
+# Local policy for other jabberd components
 #
 
-allow jabberd_t self:capability dac_override;
-dontaudit jabberd_t self:capability sys_tty_config;
-allow jabberd_t self:tcp_socket create_socket_perms;
-allow jabberd_t self:udp_socket create_socket_perms;
+manage_files_pattern(jabberd_t, jabberd_var_lib_t, jabberd_var_lib_t)
+manage_dirs_pattern(jabberd_t, jabberd_var_lib_t, jabberd_var_lib_t)
 
-manage_files_pattern(jabberd_t, jabberd_lock_t, jabberd_lock_t)
+corenet_tcp_bind_jabber_interserver_port(jabberd_t)
+corenet_tcp_connect_jabber_interserver_port(jabberd_t)
+corenet_tcp_connect_jabber_router_port(jabberd_t)
 
-allow jabberd_t jabberd_log_t:dir setattr_dir_perms;
-append_files_pattern(jabberd_t, jabberd_log_t, jabberd_log_t)
-create_files_pattern(jabberd_t, jabberd_log_t, jabberd_log_t)
-setattr_files_pattern(jabberd_t, jabberd_log_t, jabberd_log_t)
-logging_log_filetrans(jabberd_t, jabberd_log_t, { file dir })
+userdom_dontaudit_use_unpriv_user_fds(jabberd_t)
+userdom_dontaudit_search_user_home_dirs(jabberd_t)
 
-manage_files_pattern(jabberd_domain, jabberd_spool_t, jabberd_spool_t)
+miscfiles_read_certs(jabberd_t)
+
+optional_policy(`
+	seutil_sigchld_newrole(jabberd_t)
+')
 
-manage_files_pattern(jabberd_t, jabberd_var_run_t, jabberd_var_run_t)
-files_pid_filetrans(jabberd_t, jabberd_var_run_t, file)
+optional_policy(`
+	udev_read_db(jabberd_t)
+')
 
-kernel_read_kernel_sysctls(jabberd_t)
+######################################
+#
+# Local policy for pyicq-t
+#
 
-corenet_sendrecv_jabber_client_server_packets(jabberd_t)
-corenet_tcp_bind_jabber_client_port(jabberd_t)
-corenet_tcp_sendrecv_jabber_client_port(jabberd_t)
+# need for /var/log/pyicq-t.log
+manage_files_pattern(pyicqt_t, pyicqt_log_t, pyicqt_log_t)
+logging_log_filetrans(pyicqt_t, pyicqt_log_t, file)
 
-corenet_sendrecv_jabber_interserver_server_packets(jabberd_t)
-corenet_tcp_bind_jabber_interserver_port(jabberd_t)
-corenet_tcp_sendrecv_jabber_interserver_port(jabberd_t)
+manage_files_pattern(pyicqt_t, pyicqt_var_run_t, pyicqt_var_run_t);
 
-dev_read_rand(jabberd_t)
+files_search_spool(pyicqt_t)
+manage_files_pattern(pyicqt_t, pyicqt_var_spool_t, pyicqt_var_spool_t);
 
-domain_use_interactive_fds(jabberd_t)
+corenet_tcp_bind_jabber_router_port(pyicqt_t)
+corenet_tcp_connect_jabber_router_port(pyicqt_t)
 
-files_read_etc_files(jabberd_t)
-files_read_etc_runtime_files(jabberd_t)
+corecmd_exec_bin(pyicqt_t)
 
-fs_search_auto_mountpoints(jabberd_t)
+dev_read_urand(pyicqt_t)
 
-sysnet_read_config(jabberd_t)
+auth_use_nsswitch(pyicqt_t)
 
-userdom_dontaudit_use_unpriv_user_fds(jabberd_t)
-userdom_dontaudit_search_user_home_dirs(jabberd_t)
+# needed for pyicq-t-mysql
+optional_policy(`
+	corenet_tcp_connect_mysqld_port(pyicqt_t)
+')
 
 optional_policy(`
-	udev_read_db(jabberd_t)
+	sysnet_use_ldap(pyicqt_t)
 ')
 
-########################################
+#######################################
 #
-# Router local policy
+# Local policy for jabberd domains
 #
 
-manage_dirs_pattern(jabberd_router_t, jabberd_var_lib_t, jabberd_var_lib_t)
+allow jabberd_domain self:process signal_perms;
+allow jabberd_domain self:fifo_file rw_fifo_file_perms;
+allow jabberd_domain self:tcp_socket create_stream_socket_perms;
+allow jabberd_domain self:udp_socket create_socket_perms;
 
-kernel_read_network_state(jabberd_router_t)
+corenet_tcp_sendrecv_generic_if(jabberd_domain)
+corenet_udp_sendrecv_generic_if(jabberd_domain)
+corenet_tcp_sendrecv_generic_node(jabberd_domain)
+corenet_udp_sendrecv_generic_node(jabberd_domain)
+corenet_tcp_sendrecv_all_ports(jabberd_domain)
+corenet_udp_sendrecv_all_ports(jabberd_domain)
+corenet_tcp_bind_generic_node(jabberd_domain)
 
-corenet_sendrecv_jabber_client_server_packets(jabberd_router_t)
-corenet_tcp_bind_jabber_client_port(jabberd_router_t)
-corenet_tcp_sendrecv_jabber_client_port(jabberd_router_t)
+dev_read_sysfs(jabberd_domain)
+dev_read_urand(jabberd_domain)
 
-# corenet_sendrecv_jabber_router_server_packets(jabberd_router_t)
-# corenet_tcp_bind_jabber_router_port(jabberd_router_t)
-# corenet_sendrecv_jabber_router_client_packets(jabberd_router_t)
-# corenet_tcp_connect_jabber_router_port(jabberd_router_t)
-# corenet_tcp_sendrecv_jabber_router_port(jabberd_router_t)
+files_read_etc_runtime_files(jabberd_domain)
 
-auth_use_nsswitch(jabberd_router_t)
+sysnet_read_config(jabberd_domain)
Index: serefpolicy-contrib-20140730/java.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/java.fc
+++ serefpolicy-contrib-20140730/java.fc
@@ -22,7 +22,6 @@ HOME_DIR/\.java(/.*)?	gen_context(system
 
 /usr/lib/bin/java[^/]*	--	gen_context(system_u:object_r:java_exec_t,s0)
 /usr/lib/eclipse/eclipse	--	gen_context(system_u:object_r:java_exec_t,s0)
-/usr/lib/icedtea[67]/bin(/.*)?	--	gen_context(system_u:object_r:java_exec_t,s0)
 /usr/lib/jvm/java(.*/)bin(/.*)?	--	gen_context(system_u:object_r:java_exec_t,s0)
 /usr/lib/opera(/.*)?/opera	--	gen_context(system_u:object_r:java_exec_t,s0)
 /usr/lib/opera(/.*)?/works	--	gen_context(system_u:object_r:java_exec_t,s0)
Index: serefpolicy-contrib-20140730/java.te
===================================================================
--- serefpolicy-contrib-20140730.orig/java.te
+++ serefpolicy-contrib-20140730/java.te
@@ -1,4 +1,4 @@
-policy_module(java, 2.7.1)
+policy_module(java, 2.7.0)
 
 ########################################
 #
@@ -11,7 +11,7 @@ policy_module(java, 2.7.1)
 ##	its stack executable.
 ##	</p>
 ## </desc>
-gen_tunable(allow_java_execstack, false)
+gen_tunable(java_execstack, false)
 
 attribute java_domain;
 
@@ -90,7 +90,6 @@ dev_read_urand(java_domain)
 dev_read_rand(java_domain)
 dev_dontaudit_append_rand(java_domain)
 
-files_read_usr_files(java_domain)
 files_read_etc_runtime_files(java_domain)
 
 fs_getattr_all_fs(java_domain)
@@ -108,11 +107,11 @@ userdom_manage_user_home_content_files(j
 userdom_manage_user_home_content_symlinks(java_domain)
 userdom_manage_user_home_content_pipes(java_domain)
 userdom_manage_user_home_content_sockets(java_domain)
-userdom_user_home_dir_filetrans_user_home_content(java_domain, { file lnk_file sock_file fifo_file })
+userdom_filetrans_home_content(java_domain_t)
 
 userdom_write_user_tmp_sockets(java_domain)
 
-tunable_policy(`allow_java_execstack',`
+tunable_policy(`java_execstack',`
 	allow java_domain self:process { execmem execstack };
 
 	libs_legacy_use_shared_libs(java_domain)
Index: serefpolicy-contrib-20140730/jetty.fc
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/jetty.fc
@@ -0,0 +1,9 @@
+
+/var/cache/jetty(/.*)?		gen_context(system_u:object_r:jetty_cache_t,s0)
+
+/var/lib/jetty(/.*)?		gen_context(system_u:object_r:jetty_var_lib_t,s0)
+
+/var/log/jetty(/.*)?		gen_context(system_u:object_r:jetty_log_t,s0)
+
+/var/run/jetty(/.*)?		gen_context(system_u:object_r:jetty_var_run_t,s0)
+
